/* ###################################################################
**     This component module is generated by Processor Expert. Do not modify it.
**     Filename    : pin_init.c
**     Project     : UART_Rx_Makes_MQX_Wierd01
**     Processor   : MK22FN512VLH12
**     Component   : PinSettings
**     Version     : Component 01.007, Driver 1.3, CPU db: 3.00.000
**     Compiler    : GNU C Compiler
**     Date/Time   : 2015-04-21, 16:53, # CodeGen: 9
**     Abstract    :
**
**     Settings    :
**
**
**     Copyright : 1997 - 2014 Freescale Semiconductor, Inc. 
**     All Rights Reserved.
**     
**     Redistribution and use in source and binary forms, with or without modification,
**     are permitted provided that the following conditions are met:
**     
**     o Redistributions of source code must retain the above copyright notice, this list
**       of conditions and the following disclaimer.
**     
**     o Redistributions in binary form must reproduce the above copyright notice, this
**       list of conditions and the following disclaimer in the documentation and/or
**       other materials provided with the distribution.
**     
**     o Neither the name of Freescale Semiconductor, Inc. nor the names of its
**       contributors may be used to endorse or promote products derived from this
**       software without specific prior written permission.
**     
**     THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
**     ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
**     WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
**     DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
**     ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
**     (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
**     LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
**     ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
**     (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
**     SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
**     
**     http: www.freescale.com
**     mail: support@freescale.com
** ###################################################################*/
/*!
** @file pin_init.c
** @version 1.3
** @brief
**
*/         
/*!
**  @addtogroup pin_init_module pin_init module documentation
**  @{
*/         

/* MODULE pin_init. */


#include "fsl_device_registers.h"
#include "fsl_port_hal.h"
#include "fsl_sim_hal.h"
#include "pin_init.h"



void configure_gpio_pins(uint32_t instance)
{
  switch(instance) {    
    case HW_PORTB:                      /* HW_PORTB */
      /* Affects PORTB_PCR16 register */
      PORT_HAL_SetOpenDrainCmd(PORTB_BASE,16u,false);
      PORT_HAL_SetMuxMode(PORTB_BASE,16u,kPortMuxAsGpio);
      PORT_HAL_SetSlewRateMode(PORTB_BASE,16u,kPortSlowSlewRate);
      break;
    case HW_PORTC:                      /* HW_PORTC */
      /* Affects PORTC_PCR4 register */
      PORT_HAL_SetOpenDrainCmd(PORTC_BASE,4u,false);
      PORT_HAL_SetDriveStrengthMode(PORTC_BASE,4u,kPortLowDriveStrength);  
      PORT_HAL_SetMuxMode(PORTC_BASE,4u,kPortMuxAsGpio);
      PORT_HAL_SetSlewRateMode(PORTC_BASE,4u,kPortSlowSlewRate);
      break;
    case HW_PORTD:                      /* HW_PORTD */
      /* Affects PORTD_PCR5 register */
      PORT_HAL_SetDriveStrengthMode(PORTD_BASE,5u,kPortLowDriveStrength);  
      PORT_HAL_SetMuxMode(PORTD_BASE,5u,kPortMuxAsGpio);
      PORT_HAL_SetSlewRateMode(PORTD_BASE,5u,kPortSlowSlewRate);
      PORT_HAL_SetOpenDrainCmd(PORTD_BASE,5u,true);
      break;
    default:
      break;
  }
}

void configure_jtag_pins(uint32_t instance)
{
  /* Affects PORTA_PCR0 register */
  PORT_HAL_SetMuxMode(PORTA_BASE,0u,kPortMuxAlt7);
  /* Affects PORTA_PCR3 register */
  PORT_HAL_SetMuxMode(PORTA_BASE,3u,kPortMuxAlt7);
}

void configure_llwu_pins(uint32_t instance)
{
  /* Affects PORTC_PCR4 register */
  PORT_HAL_SetOpenDrainCmd(PORTC_BASE,4u,false);
  PORT_HAL_SetDriveStrengthMode(PORTC_BASE,4u,kPortLowDriveStrength);  
  PORT_HAL_SetMuxMode(PORTC_BASE,4u,kPortMuxAsGpio);
  PORT_HAL_SetSlewRateMode(PORTC_BASE,4u,kPortSlowSlewRate);
}

void configure_osc_pins(uint32_t instance)
{
  /* Affects PORTA_PCR18 register */
  PORT_HAL_SetMuxMode(PORTA_BASE,18u,kPortPinDisabled);
  /* Affects PORTA_PCR19 register */
  PORT_HAL_SetMuxMode(PORTA_BASE,19u,kPortPinDisabled);
}

void configure_uart_pins(uint32_t instance)
{
  switch(instance) {    
    case HW_UART1:                      /* HW_UART1 */
      /* Affects PORTE_PCR1 register */
      PORT_HAL_SetMuxMode(PORTE_BASE,1u,kPortMuxAlt3);
      /* Affects PORTE_PCR0 register */
      PORT_HAL_SetMuxMode(PORTE_BASE,0u,kPortMuxAlt3);
      break;
    case HW_UART2:                      /* HW_UART2 */
      /* Affects PORTD_PCR2 register */
      PORT_HAL_SetMuxMode(PORTD_BASE,2u,kPortMuxAlt3);
      /* Affects PORTD_PCR3 register */
      PORT_HAL_SetMuxMode(PORTD_BASE,3u,kPortMuxAlt3);
      break;
    default:
      break;
  }
}


/* END pin_init. */
/*!
** @}
*/
/*
** ###################################################################
**
**     This file was created by Processor Expert 10.4 [05.11]
**     for the Freescale Kinetis series of microcontrollers.
**
** ###################################################################
*/
