/* ###################################################################
**     Filename    : Events.h
**     Project     : uart_i2c_conflicts
**     Processor   : MK22FN512VLH12
**     Component   : Events
**     Version     : Driver 01.00
**     Compiler    : GNU C Compiler
**     Date/Time   : 2015-04-16, 15:57, # CodeGen: 0
**     Abstract    :
**         This is user's event module.
**         Put your event handler code here.
**     Settings    :
**     Contents    :
**         No public methods
**
** ###################################################################*/
/*!
** @file Events.h
** @version 01.00
** @brief
**         This is user's event module.
**         Put your event handler code here.
*/         
/*!
**  @addtogroup Events_module Events module documentation
**  @{
*/         

#ifndef __Events_H
#define __Events_H
/* MODULE Events */

#include "fsl_device_registers.h"
#include "pin_init.h"
#include "osa1.h"
#include "mqx_ksdk.h"
#include "fsl_uart1.h"
#include "fsl_hwtimer1.h"
#include "uartCom1.h"
#include "Task1.h"
#include "Task2.h"
#include "gpio1.h"

#ifdef __cplusplus
extern "C" {
#endif 


void uartCom1_RxCallback(uint32_t instance, void * param);
/* I2C IRQ handler */
void i2cCom1_IRQHandler(void);

/* END Events */

#ifdef __cplusplus
}  /* extern "C" */
#endif 

#endif 
/* ifndef __Events_H*/
/*!
** @}
*/
/*
** ###################################################################
**
**     This file was created by Processor Expert 10.4 [05.11]
**     for the Freescale Kinetis series of microcontrollers.
**
** ###################################################################
*/
